%define anolis_release 1
%global pypi_name pytorch-lightning
%global pypi_version 2.2.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        PyTorch Lightning is the lightweight PyTorch wrapper for ML researchers

License:        Apache-2.0
URL:            https://github.com/Lightning-AI/lightning
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(fsspec) >= 2022.5
BuildRequires:  python3dist(lightning-utilities) >= 0.8
BuildRequires:  python3dist(numpy) >= 1.17.2
BuildRequires:  python3dist(packaging) >= 20
BuildRequires:  python3dist(pyyaml) >= 5.4
BuildRequires:  python3dist(tqdm) >= 4.57
BuildRequires:  python3dist(typing-extensions) >= 4.4

Requires:  python3dist(fsspec) >= 2022.5
Requires:  python3dist(lightning-utilities) >= 0.8
Requires:  python3dist(numpy) >= 1.17.2
Requires:  python3dist(pyyaml) >= 5.4
Requires:  python3dist(tqdm) >= 4.57
Requires:  python3dist(typing-extensions) >= 4.4

%description
PyTorch Lightning is the lightweight PyTorch wrapper for ML researchers. Scale
your models. Write less boilerplate.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyTorch Lightning is the lightweight PyTorch wrapper for ML researchers. Scale
your models. Write less boilerplate.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

find requirements -type f -exec sed -i 's/^fsspec\[http\]/fsspec/g' {} \;
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
export PACKAGE_NAME=pytorch
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md src/pytorch_lightning/README.md
%{python3_sitelib}/lightning_fabric
%{python3_sitelib}/pytorch_lightning
%{python3_sitelib}/pytorch_lightning-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Wed Apr 17 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 2.2.2-1
- Initial package.
